Kerbal Space Program - Bug #18776

Engine Plates Reverse Fuel Delivery Overlay
05/02/2018 04:15 PM - klesh

Status: Moot Start date: 05/02/2018
Severity: Low % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.4.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

Engine plates seem to reverse the Fuel Delivery Overlay as seen in both the SPH and VAB.

Steps to reproduce:

1) Grab pod, fuel tank, engine. Connect the 3 normally, and turn on Fuel Delivery Overlay.

2) Observe the fuel from the fuel tank running toward the engine.

3) Place an engine plate between the fuel tank and the engine, reconnecting everything.

4) Observe the fuel is now flowing from the engine plate to the fuel tank in one direction and from the engine plate to the engine in
the other direction.

It does not matter how many nodes the engine plate has, it will reverse the direction on the Fuel Delivery Overlay.
Examples shown are with 1.875m and 2.5m setups; tested with all 4 sizes of engine plate, problem is with all sizes.

History

#1 - 05/03/2018 07:20 AM - jclovis3
Related Bug #18730

#2 - 05/17/2019 04:06 PM - klesh

- Status changed from New to Moot

Well | had a look today, and this bug appears to be fixed. | wish | didnt have to go back through my own reported bugs to randomly test them all to
see if they've been fixed without being notified through the bugtracker. | guess I'll set it to Moot now, and it will forever remain open and never closed.
GG
